INTERFACE
SUBROUTINE DISSPEC0(KIOPROC,KSETV,KCH,KIND,KSPEC2,KFIELDS,KPOSSP,KPRTRW,&
 & PSPEC,LDC,KNUM) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NMSMAX ,NSMAX
USE MPL_MODULE
INTEGER(KIND=JPIM),INTENT(IN) :: KSPEC2
INTEGER(KIND=JPIM),INTENT(IN) :: KFIELDS
INTEGER(KIND=JPIM),INTENT(IN) :: KPRTRW
INTEGER(KIND=JPIM),INTENT(IN) :: KIOPROC
INTEGER(KIND=JPIM),INTENT(IN) :: KSETV
INTEGER(KIND=JPIM),INTENT(IN) :: KCH
INTEGER(KIND=JPIM),INTENT(IN) :: KIND
INTEGER(KIND=JPIM),INTENT(IN) :: KPOSSP(KPRTRW+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPEC(KSPEC2,KFIELDS)
LOGICAL,OPTIONAL ,INTENT(IN) :: LDC
INTEGER(KIND=JPIM),OPTIONAL,INTENT(IN) :: KNUM
END SUBROUTINE DISSPEC0
END INTERFACE
